Reset OAuth client secret

Resets the client secret for the OAuth client configuration identified by the AppName within the Tenant, generating a new client secret and invalidating the previous one to enhance security.

PUT
/v2/manage/oauth-clients/credentials/{oAuthClientName}

Resets the client secret for the OAuth client configuration identified by the AppName within the Tenant, generating a new client secret and invalidating the previous one to enhance security.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

oAuthClientName*string

Name of the OAuth Client

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/oauth-clients/credentials/my-oauth-client"
{
  "ClientId": "1ca8ac5a-2398-4bb4-b0d6-d6c0e0fe8668",
  "ClientSecret": "string"
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Description": "OAuth configuration not found or the resource does not exist.",
  "ErrorCode": 7981,
  "Message": "OAuth configuration not found"
}
{
  "Description": "Global client is enabled for the oauth config. Please disable the global client first.",
  "ErrorCode": 8014,
  "Message": "Oauth config client credentials reset failed."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}